<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>{{.Title}}</title>
    <link href="/static/css/container.css" rel="stylesheet">
    <link href="/static/css/font.css" rel="stylesheet">
    <link href="/static/css/doc.css" rel="stylesheet">
    
</head>
<body class="f-nm">
    <div class="top shadow">
        <a href="/" class="web-title"><span class="title-B">B</span>lank</a>
        <div class="web-title-margin"></div>
        {{if .Doc.User.IsLogin}}
            <div id="user-id">{{.Doc.User.Id}}</div>
        {{else}}
            <a href="/signin" div class="login" id="loginbox">로그인</a>
        {{end}}
    </div>
    

    <div class="container">
        <div class="menu shadow2">
            <div class="parent-toc">
                <div class="parent-toc-indent">
                    <a class="parent-toc-title" href="/blank/{{.Doc.Parent}}">#{{.Title}}</a>
                    
                    {{range $i,$s :=.Docs}}
                        <a class="parent-toc-item" href="/blank/{{.Parent}}/{{.No}}">{{$i}}. {{.Title}}</a>
                    {{end}}
                </div>
            </div>
        </div>
        <div class="doc">
            <div class="web-margin"></div>
            <div class="title" id="title">{{.Doc.Title}}</div>
            <nav>
                <div class="toc">
                    <div class="toc-title"><목차></div>
                    <div class="toc-item-box">
                        {{range $i, $s := .Doc.Contents}}
                        <div class="toc-item" id="t{{$i}}">
                                <a href="#h{{$i}}" class="toc-anchor">{{$i}}.</a>
                                <div class="toc-text">{{.Title}}</div> 
                        </div>
                        {{end}}
                    </div>
                </div>
            </nav>
            <main>
                {{range $i, $s := .Doc.Contents}}
                <section id="h{{$i}}">
                    <h2>
                        <a href="#t{{$i}}" class="header-anchor">{{$i}}.</a> <span>{{.Title}}</span>
                    </h2>
                    <p class="article article-content">{{.Contents}}</p>
                </section>
                {{end}}
            </main>
            {{if .Doc.User.IsLogin}}
                <a href="/w?p={{.Doc.Parent}}&d={{.Doc.No}}" id="save">수정하기</a>
            {{end}}
        </div>
    </div>
</body>
<script src="/static/js/doc.js"></script>
</html>